| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageValueFuncConst Class Reference

This class will generate a constant value. More...

`#include <cstool/gentrtex.h>`

Inheritance diagram for csGenerateImageValueFuncConst:

[legend]
List of all members.

## Public Member Functions
virtual float | GetValue (float, float)
| get the value for location
## Public Attributes
float | constant
| the value to return

## Detailed Description

This class will generate a constant value.

Definition at line 225 of file gentrtex.h.

## Member Function Documentation

virtual float csGenerateImageValueFuncConst::GetValue | ( | float | ,
|  | float |  |
| ) |  |  | `[inline, virtual]`

get the value for location

Implements csGenerateImageValue.

Definition at line 232 of file gentrtex.h.

## Member Data Documentation

float csGenerateImageValueFuncConst::constant

the value to return

Definition at line 230 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h